%define         _state          stable
%define         orgname         perlqt
%define         qtver           4.8.0

# Conditional build:
%bcond_with	tests		# do not perform "make test"

%define	pdir	PerlQt
%include	/usr/lib/rpm/macros.perl
Summary:	Qt4 - A Perl module interface to Qt4
Summary(pl.UTF-8):	Qt4 - interfejs Perla do Qt4
Name:		perl-Qt4
Version:	4.14.3
Release:	12
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	d410c5b95680d1c56d037d22ef984479
Patch0:		invalid-type.patch
URL:		http://www.kde.org/
BuildRequires:	QtXmlPatterns-devel
BuildRequires:	kde4-smokeqt-devel >= %{version}
BuildRequires:	qt4-build
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl		Qt::_internal

%description
This module provides bindings to the Qt 4 libraries for Perl.

%description -l pl.UTF-8
Moduł dostarcza dowiązania do Qt 4 dla Perla.

%package devel
Summary:	Header file for  perl Qt 4
Summary(pl.UTF-8):	Plik nagłówkowe perl Qt 4
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for perl Qt 4.

%description devel -l pl.UTF-8
Plik nagłówkoww perl Qt 4.

%define		_noautoreq	'perl(Qt::_internal)'
# which package provides this?

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DCUSTOM_PERL_SITE_ARCH_DIR=%{perl_vendorarch} \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	kde_htmldir=%{_kdedocdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/prcc4_bin
%attr(755,root,root) %{_bindir}/puic4
%attr(755,root,root) %{_bindir}/qdbusxml2perl
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/QtCore4
%{perl_vendorarch}/QtCore4/*.pm
%dir %{perl_vendorarch}/auto
%dir %{perl_vendorarch}/auto/*
%attr(755,root,root) %{perl_vendorarch}/auto/*/*.so
%dir %{_datadir}/perlqt
%attr(755,root,root) %{_datadir}/perlqt/doxsubpp.pl

%files devel
%defattr(644,root,root,755)
%{_includedir}/perlqt
%{_datadir}/perlqt/cmake
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Qt4.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 431264f
- rebuild with perl 5.30.0
- release 12 (by relup.sh)

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 8e77dae
- update BRs
- rel 11

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 57ae38c
- release 10 (by relup.sh)

* Tue Sep 17 2019 Jan Rękorajski <baggins@pld-linux.org> 53ba31f
- release 9 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> b755776
- rebuild with perl 5.28.0
- release 8 (by relup.sh)

* Mon Jun 12 2017 Jan Rękorajski <baggins@pld-linux.org> fda3079
- don't use bool for NULL replacement
- rel 7

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 5bbffb6
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a1257c5
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 27142de
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f1b9b42
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> c7ff465
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 14db5c3
- 4.14.3

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> b02728a
- BR QtXmlPatterns-devel

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 494e4d6
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0d2ee70
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6f56fde
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 946db56
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8f01262
- updated to 4.13.1 (by update-kde4.sh)

* Mon May 12 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 04c2f92
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> fee867f
- updated to 4.12.4 (by update-kde4.sh)

